.SUFFIXES: .o .ec .c .4gl .4ge .42m .42r .42a .per .42f .msg .iem 

4GL=menuGlobals.4gl  menu_catgrupo.4gl  menu_catusuario.4gl  menu_mencatmenu.4gl menu_catalogo.4gl menu_catpermiso.4gl

FORM=menCatGrupo.per menCatUsuario.per menCatPermiso.per menCatMenu.per menCatalogos.per

PROG_NAME=menuCatalogo.4ge

LIB=$(BASEDIR)/src/libGral/libGral.42x

COBJS=$(4GL:.4gl=.o)

POBJS=$(4GL:.4gl=.42m)

CFORM=$(FORM:.per=.42f)

RDS_NAME=$(PROG_NAME:.4ge=.42r)

CCODE:	$(COBJS)
		c4gl -o $(PROG_NAME) $(COBJS)
		@- echo "Finished compiling ccode..."

PCODE:	$(POBJS)
		fgl2p -o $(RDS_NAME) $(POBJS) $(LIB) 
		cp *42r *42m $(BASEDIR)/bin
		@- echo "Finished compiling pcode..."

FORM:	$(CFORM)
		cp *42f $(BASEDIR)/frms
		@- echo "Finished compiling forms..."

.4gl.42m:
		fgl2p $*.4gl

.4gl.o:
		c4gl -c $*.4gl
		@- rm -f $*.c $*.ec

.per.42f:
		fglform -s $*.per
